Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface SimpleDHtmlAPI

All Known Subinterfaces:
  DHtmlAPI

    public interface SimpleDHtmlAPI

DHTML API provides the API interface for users. With DHTML API, user can easily embed the DHTML page or components into their own JSP. All the methods in this interface can be invoked by remote server (RMI).

Support multi-report running in one session

Descriptions of some key terms:

runtime id: the key for a reports running in server (generated by server automatically when you run a report).

session id: the key for the session in server (generated by server automatically when you login).

Support three levels of settings in our server:

1. Set on server level.

For example: setUserbarEnabled(boolean b) is to set the default value of whether userbar is enabled or not on server level . This value will be used by the users who log in the server after it is set. However, the value of this setting on the session level or the report level has a higher priority than it is on the server level.

2. Set on session level.

For example: setUserbarEnabled(String id, boolean b) is to set the default value of whether userbar is enabled or not on session level. the parameter id here must be session id. After it is set, all open and later reports under this session will take this value. setApplyToOpenedReports(String sessionid, boolean isApply) can be then called by setting isApply false to prevent the effect to the open reports.

3. Set on report level.

For example: setUserbarEnabled(String id, boolean b) is to set the default value of whether userbar is enabled on report level. the parameter id here must be runtime id. After it is set, only the report specified by this runtime id will be affected.

Note of using DHTML API :

You must follow a certain order for the method which uses the parameter "id" in dhtml.jsp. For example: setUserbarEnabled(String id, boolean b) must be called after the code "int intCheckRet = service.checkUser(id,us.getUserID());", because the parameter "id" is offered by the method "checkUser(String id, String name)". If the wrong order is used, a jsp error will be generated. And there is no specified order for the other api methods that do not use the parameter "id".

Method Summary
`void` | `addExpiryListener(java.lang.String id)` Adds the ExpiryListener to the specified UserSession.
`boolean` | `checkUser(java.lang.String id)` Checks user session if it exists.
`int` | `checkUser(java.lang.String id, java.lang.String name)` Creates a user when the specified user doesn't exist.
`void` | `closeDHTMLReport(java.lang.String id, java.lang.String reportId)` Closes the special report.
`byte[]` | `copyOctet(java.lang.String id, java.lang.String translate)` Copies the content of the specified binary file to a byte array.
`byte[]` | `copyRstFile(java.lang.String id)` Copies a part of the result file into the byte array.
`char[]` | `copyText(java.lang.String id, java.lang.String translate)` Copies the content of the specified text file to a char array.
`void` | `customizeToolbar(java.lang.String id, int buttonId, boolean isVisible)` Customizes the toolbar buttons and specifies whether the buttons are visible.
`void` | `customizeToolbar(java.lang.String id, int buttonId, boolean isVisible, java.lang.String method)` Customizes the toolbar buttons and specifies whether the buttons are visible and the action of the button.
`void` | `destroy()` Destroys DHTML API when exit.
`java.util.Vector` | `dispatch(java.lang.String id, java.util.Hashtable params)` Deprecated. DHTMLActLogic.dispatch Responses and processes all the requests from DHTML client.
`void` | `expire(java.lang.String id)` Destroys user session when it expires.
`boolean` | `getAutoRefresh()` Gets whether to auto refresh information.
`DHTMLToolkit` | `getDHTMLToolkit()` Gets the DHTMLToolkit.
`int` | `getFilterDisplayNameSortType(java.lang.String id)` Determines the sort type of column display name sort on the filter panel.
`java.lang.String` | `getHelpImagePath()` Gets the physical path of user guide image resources.
`java.lang.String` | `getHostName()` Gets the host name.
`java.lang.String` | `getImagePath()` Gets the physical path of the image resources.
`java.lang.String` | `getJS_CSSPath()` Gets the physical path of the java script and css file.
`java.lang.String` | `getMainPage()` Gets the path and file name of user main page.
`int` | `getMaxConcurrent()` Deprecated. Gets the number of Maximal concurrent actions at one time.
`java.lang.String` | `getNewOpenedRuntimeId(java.lang.String id)` Gets the runtimeID for the just now opened report.
`int` | `getOpenedReports(java.lang.String id)` Gets the number of open reports.
`java.lang.String` | `getPath()` Deprecated. Gets the parent dir of rscUri dir.
`int` | `getQueueSize()` Deprecated. Gets the number of to-be-handled actions waiting in the queue.
`int` | `getRefreshInterval(java.lang.String id)` Returns the user expiring time, in seconds.
`java.lang.String` | `getReportName(java.lang.String id, int index)` Gets the report name by the report index.
`int` | `getReportScroll(java.lang.String id)` Gets the report frame scrollbar type.
`java.util.List` | `getReportsId(java.lang.String id)` Gets all reports ids in the session.
`int` | `getReportTimeout(java.lang.String id)` Gets the report expiring time, in seconds.
`java.lang.String` | `getRscPath()` Deprecated. Gets the RscPath.
`java.lang.String` | `getRscUri()` Deprecated. Gets the RscUri.
`java.lang.String` | `getRstFileName(java.lang.String id)` Gets the saved result file name.
`java.lang.String` | `getRSTRemoteFullPath(java.lang.String id)` Gets the RST remote full path.
`java.util.List` | `getRuntimesId(java.lang.String id)` Gets all reports keys in the session.
`java.util.List` | `getRuntimesId(java.lang.String id, java.lang.String fullCatalogName, java.lang.String fullReportName)` Deprecated. Gets all reports keys in the session.
`int` | `getSearchDisplayNameSortType(java.lang.String id)` Determines the sort type of column display name sort on the search dialog.
`int` | `getSortDisplayNameSortType(java.lang.String id)` Determines the type of column display name sorting on the sort panel.
`java.lang.String[]` | `getStyle()` Gets the style name list.
`java.lang.String` | `getTitle()` Gets current Browser's title text.
`java.lang.String` | `getTitle(java.lang.String id)` Gets current Browser's title text.
`java.lang.String` | `getURI()` Gets the uri.
`boolean` | `getUserAutoRefresh(java.lang.String id)` Gets whether to auto refresh information according to the user id.
`java.lang.String` | `getUserEncoding(java.lang.String id)` Gets the user encoding information according to the user id.
`java.lang.String` | `initMainPage(java.lang.String id, java.util.Hashtable params)` Inits the mainpage.
`boolean` | `isAdvanceUserEnabled()` Determines whether the advanceuser mode is enabled.
`boolean` | `isAdvanceUserEnabled(java.lang.String id)` Determines whether the advanceuser mode is enabled.
`boolean` | `isCreateEnabled()` Determines whether the new feature is enabled.
`boolean` | `isCreateEnabled(java.lang.String id)` Determines whether the new feature is enabled.
`boolean` | `isDetailReport(java.lang.String id)` Deprecated. Determines whether the current report is the detail report.
`boolean` | `isDisplayNameSortEnabled(java.lang.String id)` Determines whether the sort column display name is enabled.
`boolean` | `isDrillEnabled()` Determines whether the drill feature is enabled.
`boolean` | `isDrillEnabled(java.lang.String id)` Determines whether the drill feature is enabled.
`boolean` | `isExportEnabled()` Determines whether the export feature is enabled.
`boolean` | `isExportEnabled(java.lang.String id)` Determines whether the export feature is enabled.
`boolean` | `isFilterEnabled()` Determines whether filter is enabled.
`boolean` | `isFilterEnabled(java.lang.String id)` Determines whether filter is enabled.
`boolean` | `isFirstDetail(java.lang.String id)` Deprecated. Determines whether the current detail report is the first detail report.
`boolean` | `isFrameEnabled()` Determines whether frame mode is enabled.
`boolean` | `isFrameEnabled(java.lang.String id)` Determines whether frame mode is enabled.
`boolean` | `isIgnoreServerSetting()` Determines whether the server settings are ignored.
`boolean` | `isLastDetail(java.lang.String id)` Deprecated. Determines whether the current detail report is the last detail report.
`boolean` | `isLocalSave(java.lang.String id)` Determines whether the save location is local.
`boolean` | `isMainMenuVisible(java.lang.String id)` Determines whether the main menu is visible.
`boolean` | `isMenuEnabled()` Determines whether the menu feature is enabled.
`boolean` | `isMenuEnabled(java.lang.String id)` Determines whether the menu feature is enabled.
`boolean` | `isNavEnabled()` Determines whether the navigation feature is enabled.
`boolean` | `isNavEnabled(java.lang.String id)` Determines whether the navigation feature is enabled.
`boolean` | `isNavibarVisible(java.lang.String id)` Determines whether the Navigation bar is visible.
`boolean` | `isPopupMenuEnabled()` Determines whether the pop up menu is enabled.
`boolean` | `isPopupMenuEnabled(java.lang.String id)` Determines whether the pop up menu is enabled.
`boolean` | `isPrintEnabled()` Determines whether print is enabled.
`boolean` | `isPrintEnabled(java.lang.String id)` Determines whether print is enabled.
`boolean` | `isRefreshEnabled()` Determines whether the refresh feature is enabled.
`boolean` | `isRefreshEnabled(java.lang.String id)` Determines whether the refresh feature is enabled.
`boolean` | `isResetEnabled()` Determines whether the reset feature is enabled.
`boolean` | `isResetEnabled(java.lang.String id)` Determines whether the reset feature is enabled.
`boolean` | `isRestrictAction(int intOP)` Deprecated. Checks whether the action can be applied for the DHTML Queue feature or not.
`boolean` | `isSaveEnabled()` Determines whether the save feature is enabled.
`boolean` | `isSaveEnabled(java.lang.String id)` Determines whether the save feature is enabled.
`boolean` | `isSaveResultEnabled()` Determines whether the save result feature is enabled.
`boolean` | `isSaveResultEnabled(java.lang.String id)` Determines whether the save result feature is enabled.
`boolean` | `isSearchEnabled()` Determines whether the search feature is enabled.
`boolean` | `isSearchEnabled(java.lang.String id)` Determines whether the search feature is enabled.
`boolean` | `isSkinEnabled()` Determines whether the skin feature is enabled.
`boolean` | `isSkinEnabled(java.lang.String id)` Determines whether the skin feature is enabled.
`boolean` | `isSortEnabled()` Determines whether sort is enabled.
`boolean` | `isSortEnabled(java.lang.String id)` Determines whether sort is enabled.
`boolean` | `isStyleEnabled()` Determines whether the style feature is enabled.
`boolean` | `isStyleEnabled(java.lang.String id)` Determines whether the style feature is enabled.
`boolean` | `isSupport(java.lang.String user_agent)` Determines whether the user agent (browser) is supported.
`boolean` | `isTocEnabled()` Determines whether Table Of Content is enabled.
`boolean` | `isTocEnabled(java.lang.String id)` Determines whether Table Of Content is enabled.
`boolean` | `isTocGroupbyNameVisible()` Determines whether display Groupby field name before each TOC entry feature is enabled.
`boolean` | `isTocGroupbyNameVisible(java.lang.String id)` Determines whether display Groupby field name before each TOC entry feature is enabled.
`boolean` | `isTocVisible(java.lang.String id)` Determines whether the Table Of Content is visible.
`boolean` | `isToolbarEnabled()` Determines whether the toolbar feature is enabled.
`boolean` | `isToolbarEnabled(java.lang.String id)` Determines whether the toolbar feature is enabled.
`boolean` | `isToolbarVisible(java.lang.String id)` Determines whether the Toolbar is visible.
`boolean` | `isUnredoEnabled()` Determines whether the undo/redo feature is enabled.
`boolean` | `isUnredoEnabled(java.lang.String id)` Determines whether the undo/redo feature is enabled.
`boolean` | `isUserbarEnabled()` Determines whether user information panel is enabled.
`boolean` | `isUserbarEnabled(java.lang.String id)` Determines whether user information panel is enabled.
`boolean` | `isUserbarVisible(java.lang.String id)` Determines whether the user information panel is visible.
`boolean` | `isZoomEnabled()` Determines whether the zoom feature is enabled.
`boolean` | `isZoomEnabled(java.lang.String id)` Determines whether the zoom feature is enabled.
`char[]` | `mainPage(java.lang.String id)` Deprecated. Writes the content of the DHTML default main page to a char array.
`char[]` | `publishRptCss(java.lang.String id)` Writes the CSS definition list of current report to a char array.
`void` | `setAdvanceUserEnabled(boolean b)` Sets whether the advanceuser mode is enabled.
`void` | `setAdvanceUserEnabled(java.lang.String id, boolean b)` Sets whether the advanceuser mode is enabled.
`void` | `setApplyToOpenedReports(java.lang.String id, boolean isApply)` Deprecated. Determines whether all of the open reports in a session will be affected when setting the session properties.
`void` | `setAutoRefresh(boolean autoRefresh)` Sets whether to auto refresh information.
`void` | `setContextPath(java.lang.String strPath)` Sets the server context path.
`void` | `setCreateEnabled(boolean b)` Sets whether the new feature is enabled.
`void` | `setCreateEnabled(java.lang.String id, boolean b)` Sets whether the new feature is enabled.
`void` | `setCssFolder(java.lang.String folderName)` Deprecated. Sets the DHTML css folder name.
`void` | `setDebug(boolean b)` Deprecated. Sets the debug mode.
`void` | `setDHTMLJSPPath(java.lang.String pathName)` Sets the DHTML JSP path name.
`void` | `setDisplayNameSortEnabled(java.lang.String id, boolean isEnabled)` Sets whether the sort column display name is enabled.
`void` | `setDrillEnabled(boolean b)` Sets whether the drill feature is enabled.
`void` | `setDrillEnabled(java.lang.String id, boolean b)` Sets whether the drill feature is enabled.
`void` | `setErrorPage(java.lang.String filePath)` Sets the path and file name of user's error page, which is used to customize the user's own error page.
`void` | `setExportEnabled(boolean b)` Sets whether the export feature is enabled.
`void` | `setExportEnabled(java.lang.String id, boolean b)` Sets whether the export feature is enabled.
`void` | `setFilterDisplayNameSortType(java.lang.String id, int sortType)` Sets the sort type of column display name sort on the filter panel.
`void` | `setFilterEnabled(boolean b)` Sets whether the filter is enabled.
`void` | `setFilterEnabled(java.lang.String id, boolean b)` Sets whether the filter is enabled.
`void` | `setFrameEnabled(boolean b)` Sets whether the frame mode is enabled.
`void` | `setFrameEnabled(java.lang.String id, boolean b)` Sets whether the frame mode is enabled.
`void` | `setHelpImagePath(java.lang.String path)` Deprecated. Sets the physical path of user guide image resources.
`void` | `setHostName(java.lang.String host)` Sets the host name, used by server monitor manager.
`void` | `setIgnoreServerSetting(boolean b)` Sets whether to ignore server settings.
`void` | `setImageFolder(java.lang.String folderName)` Deprecated. Sets the DHTML image folder name.
`void` | `setImagePath(java.lang.String path)` Deprecated. Sets the physical path of the image resources.
`void` | `setJS_CSSPath(java.lang.String path)` Deprecated. Sets the physical path of the java script and css file.
`void` | `setJsFolder(java.lang.String folderName)` Deprecated. Sets the DHTML javascript folder name.
`void` | `setMainMenuVisible(java.lang.String id, boolean b)` Sets whether the main menu is visible.
`void` | `setMainPage(java.lang.String filePath)` Sets the path and file name of user's main page, which is used to customize the user's own main page.
`void` | `setMenuEnabled(boolean b)` Sets whether the menu feature is enabled.
`void` | `setMenuEnabled(java.lang.String id, boolean b)` Sets whether the menu feature is enabled.
`void` | `setNavEnabled(boolean b)` Sets whether the navigation feature is enabled.
`void` | `setNavEnabled(java.lang.String id, boolean b)` Sets whether the navigation feature is enabled.
`void` | `setNavibarVisible(java.lang.String id, boolean b)` Sets whether the Navigation bar is visible.
`void` | `setPath(java.lang.String path)` Deprecated. Sets the parent dir of rscUri dir.
`void` | `setPopupMenuEnabled(boolean b)` Sets whether the pop up menu is enabled.
`void` | `setPopupMenuEnabled(java.lang.String id, boolean b)` Sets whether the pop up menu is enabled.
`void` | `setPrintEnabled(boolean b)` Sets whether the print feature is enabled.
`void` | `setPrintEnabled(java.lang.String id, boolean b)` Sets whether the print feature is enabled.
`void` | `setRefreshEnabled(boolean b)` Sets whether the refresh feature is enabled.
`void` | `setRefreshEnabled(java.lang.String id, boolean b)` Sets whether the refresh feature is enabled.
`void` | `setRefreshInterval(java.lang.String id, int timeout)` Sets the user session expiring time, in seconds.
`void` | `setReportNum(java.lang.String id, int rptNum)` Sets the maximum number of reports that can run in one session.
`void` | `setReportScroll(java.lang.String id, int type)` Sets the report frame scrollbar type.
`void` | `setReportTimeout(java.lang.String id, int time)` Sets the report expiring time, in seconds.
`void` | `setResetEnabled(boolean b)` Sets whether the reset feature is enabled.
`void` | `setResetEnabled(java.lang.String id, boolean b)` Sets whether the reset feature is enabled.
`void` | `setSaveEnabled(boolean b)` Sets whether the save feature is enabled.
`void` | `setSaveEnabled(java.lang.String id, boolean b)` Sets whether the save feature is enabled.
`void` | `setSaveResultEnabled(boolean b)` Sets whether the save result feature is enabled.
`void` | `setSaveResultEnabled(java.lang.String id, boolean b)` Sets whether the save result feature is enabled.
`void` | `setSearchDisplayNameSortType(java.lang.String id, int sortType)` Sets the sort type of column display name sort on the search dialog.
`void` | `setSearchEnabled(boolean b)` Sets whether the search feature is enabled.
`void` | `setSearchEnabled(java.lang.String id, boolean b)` Sets whether the search feature is enabled.
`void` | `setSkinEnabled(boolean b)` Sets whether the skin feature is enabled.
`void` | `setSkinEnabled(java.lang.String id, boolean b)` Sets whether the skin feature is enabled.
`void` | `setSkins(java.lang.String path, java.lang.String name)` Deprecated. DHTMLConfig.setDHTMLSkins Sets the skin file path and file name.
`void` | `setSortDisplayNameSortType(java.lang.String id, int sortType)` Sets the type of column display name sorting on the sort panel.
`void` | `setSortEnabled(boolean b)` Sets whether the sort is enabled.
`void` | `setSortEnabled(java.lang.String id, boolean b)` Sets whether the sort is enabled.
`void` | `setStyle(java.lang.String[] styles)` Sets the names of the report style, which should be defined in JReport Designer.
`void` | `setStyleEnabled(boolean b)` Sets whether the style feature is enabled.
`void` | `setStyleEnabled(java.lang.String id, boolean b)` Sets whether the style feature is enabled.
`void` | `setTitle(java.lang.String title)` Sets the Browser's title text.
`void` | `setTitle(java.lang.String id, java.lang.String title)` Sets the Browser's title text.
`void` | `setTocEnabled(boolean b)` Sets whether the Table Of Content is enabled.
`void` | `setTocEnabled(java.lang.String id, boolean b)` Sets whether the Table Of Content is enabled.
`void` | `setTocGroupbyNameVisible(boolean b)` Sets whether the feature that displays groupby field name before each TOC entry is enabled.
`void` | `setTocGroupbyNameVisible(java.lang.String id, boolean b)` Sets whether the feature that displays groupby field name before each TOC entry is enabled.
`void` | `setTocVisible(java.lang.String id, boolean b)` Sets whether the Table Of Content is visible.
`void` | `setToolbarEnabled(boolean b)` Sets whether the toolbar feature is enabled.
`void` | `setToolbarEnabled(java.lang.String id, boolean b)` Sets whether the toolbar feature is enabled.
`void` | `setToolbarVisible(java.lang.String id, boolean b)` Sets whether the Toolbar is visible.
`void` | `setUnredoEnabled(boolean b)` Sets whether the undo/redo feature is enabled.
`void` | `setUnredoEnabled(java.lang.String id, boolean b)` Sets whether the undo/redo feature is enabled.
`void` | `setURI(java.lang.String uri)` Deprecated. Sets the uri. This URI is used to specify background servlet mapping name.
`void` | `setUserAgent(java.lang.String user_agent)` Sets the user agent information.
`void` | `setUserAutoRefresh(java.lang.String id, boolean autoRefresh)` Sets whether to auto refresh information according to the user id.
`void` | `setUserbarEnabled(boolean b)` Sets whether the user information panel is enabled.
`void` | `setUserbarEnabled(java.lang.String id, boolean b)` Sets whether the user information panel is enabled.
`void` | `setUserbarVisible(java.lang.String id, boolean b)` Sets whether the user information panel is visible.
`void` | `setZoomEnabled(boolean b)` Sets whether the zoom feature is enabled.
`void` | `setZoomEnabled(java.lang.String id, boolean b)` Sets whether the zoom feature is enabled.
`char[]` | `welcomePage(java.lang.String id, java.util.Hashtable params)` Writes the content of the DHTML default welcome page to a char array.

Method Detail

### setPath

    void setPath(java.lang.String path)

  Deprecated. Sets the parent dir of rscUri dir.

  Parameters:
    `path` - the physical dir on disk.

### getPath

    java.lang.String getPath()

  Deprecated. Gets the parent dir of rscUri dir.

  Returns:
    the physical dir on disk.

### setURI

    void setURI(java.lang.String uri)
                throws java.io.IOException

  Deprecated. Sets the uri. This URI is used to specify background servlet mapping name.

  Parameters:
    `uri` - the URI string.
  Throws:
    `java.io.IOException`

### getURI

    java.lang.String getURI()

  Gets the uri.

  Returns:
    the uri string.

### getRscUri

    java.lang.String getRscUri()

  Deprecated. Gets the RscUri.

  Returns:
    the RscUri string.

### getRscPath

    java.lang.String getRscPath()

  Deprecated. Gets the RscPath.

  Returns:
    the RscUri string.

### setSkins

    void setSkins(java.lang.String path,
                  java.lang.String name)
                  throws java.io.IOException

  Deprecated. DHTMLConfig.setDHTMLSkins Sets the skin file path and file name.

  Parameters:
    `path` - skin file path.
    `name` - skin file name.
  Throws:
    `java.io.IOException`

### setTitle

    void setTitle(java.lang.String title)

  Sets the Browser's title text.

  Parameters:
    `title` - the browser's title text.

### getTitle

    java.lang.String getTitle()

  Gets current Browser's title text.

  Returns:
    the browser's title text.

### setTitle

    void setTitle(java.lang.String id,
                  java.lang.String title)

  Sets the Browser's title text.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `title` - the browser's title text.

### getTitle

    java.lang.String getTitle(java.lang.String id)

  Gets current Browser's title text.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    the browser's title text.

### setStyle

    void setStyle(java.lang.String[] styles)

  Sets the names of the report style, which should be defined in JReport Designer.

  Parameters:
    `styles` - the style name list.

### getStyle

    java.lang.String[] getStyle()

  Gets the style name list.

  Returns:
    style name list.

### setHostName

    void setHostName(java.lang.String host)

  Sets the host name, used by server monitor manager. If there is no monitor, it is not necessary to invoke this method.

  Parameters:
    `the` - host name.

### getHostName

    java.lang.String getHostName()

  Gets the host name.

  Returns:
    the host name.

### checkUser

    int checkUser(java.lang.String id,
                  java.lang.String name)
                  throws RptServerException,
                         java.io.IOException

  Creates a user when the specified user doesn't exist.

  Parameters:
    `id` - the user session id.
    `name` - the user name.
  Returns:
    the check code which is defined in DHTMLConstant:
      DHTMLConstant.CHECK_CREATE_SESSION_OK,
      DHTMLConstant.CHECK_CREATE_SESSION_ERROR.
  Throws:
    `RptServerException`
    `java.io.IOException`

### checkUser

    boolean checkUser(java.lang.String id)

  Checks user session if it exists.

  Parameters:
    `id` - the session id.

### expire

    void expire(java.lang.String id)

  Destroys user session when it expires.

  Parameters:
    `id` - the user session id.

### setJS_CSSPath

    void setJS_CSSPath(java.lang.String path)

  Deprecated. Sets the physical path of the java script and css file.

  Parameters:
    `path` - the absolute path.

### getJS_CSSPath

    java.lang.String getJS_CSSPath()

  Gets the physical path of the java script and css file.

  Returns:
    the physical path of the java script and css file.

### setImagePath

    void setImagePath(java.lang.String path)

  Deprecated. Sets the physical path of the image resources.

  Parameters:
    `the` - physical path of the image resources.

### getImagePath

    java.lang.String getImagePath()

  Gets the physical path of the image resources.

  Returns:
    the physical path of the image resources.

### setHelpImagePath

    void setHelpImagePath(java.lang.String path)

  Deprecated. Sets the physical path of user guide image resources.

  Parameters:
    `the` - physical path of user guide image resources.

### getHelpImagePath

    java.lang.String getHelpImagePath()

  Gets the physical path of user guide image resources.

  Returns:
    the physical path of user guide image resources.

### copyText

    char[] copyText(java.lang.String id,
                    java.lang.String translate)
                    throws java.io.IOException

  Copies the content of the specified text file to a char array.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
    `translate` - the text file name.
  Returns:
    a char array.
  Throws:
    `java.io.IOException`

### copyOctet

    byte[] copyOctet(java.lang.String id,
                     java.lang.String translate)
                     throws java.io.IOException

  Copies the content of the specified binary file to a byte array.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
    `translate` - the binary file name.
  Returns:
    a byte array.
  Throws:
    `java.io.IOException`

### publishRptCss

    char[] publishRptCss(java.lang.String id)
                         throws java.io.IOException

  Writes the CSS definition list of current report to a char array.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    a char array.
  Throws:
    `java.io.IOException`

### mainPage

    char[] mainPage(java.lang.String id)
                    throws java.io.IOException,
                           RptServerException

  Deprecated. Writes the content of the DHTML default main page to a char array.

  Parameters:
    `runtime` - the runtime report id.
  Returns:
    a char array.
  Throws:
    `java.io.IOException`
    `RptServerException`

### welcomePage

    char[] welcomePage(java.lang.String id,
                       java.util.Hashtable params)
                       throws java.io.IOException,
                              RptServerException

  Writes the content of the DHTML default welcome page to a char array. This method must be invoked otherwise the main page will not be invoked.

  Parameters:
    `id` - the user session id.
    `params` - parameters needed to run the report.
    If you will use relative path in dhtml, param params should contain three parameters as following:
      DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)),
      DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)),
      DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
  Returns:
    a char array.
  Throws:
    `java.io.IOException`
    `RptServerException`

### dispatch

    java.util.Vector dispatch(java.lang.String id,
                              java.util.Hashtable params)
                              throws jet.exception.InvalidParameterException,
                                     RptServerException,
                                     java.io.IOException

  Deprecated. DHTMLActLogic.dispatch Responses and processes all the requests from DHTML client.

  Parameters:
    `id` - the user session id.
    `params` - client request query in hashtable type.
    If you will use relative path in dhtml, param params should contain three parameters as following:
      DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)),
      DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)),
      DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
  Returns:
    a Vector, which includes two elements: an Integer object (operation code) and a byte array (the requested content).
  Throws:
    `jet.exception.InvalidParameterException`
    `RptServerException`
    `java.io.IOException`

### destroy

    void destroy()

  Destroys DHTML API when exit.

### setDebug

    void setDebug(boolean b)

  Deprecated. Sets the debug mode.

  Parameters:
    `b` - whether it is debug mode.

### setUserbarEnabled

    void setUserbarEnabled(boolean b)

  Sets whether the user information panel is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isUserbarEnabled

    boolean isUserbarEnabled()

  Determines whether user information panel is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setUserbarEnabled

    void setUserbarEnabled(java.lang.String id,
                           boolean b)

  Sets whether the user information panel is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isUserbarEnabled

    boolean isUserbarEnabled(java.lang.String id)

  Determines whether user information panel is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id;
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setTocEnabled

    void setTocEnabled(boolean b)

  Sets whether the Table Of Content is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isTocEnabled

    boolean isTocEnabled()

  Determines whether Table Of Content is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setTocEnabled

    void setTocEnabled(java.lang.String id,
                       boolean b)

  Sets whether the Table Of Content is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isTocEnabled

    boolean isTocEnabled(java.lang.String id)

  Determines whether Table Of Content is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setFilterEnabled

    void setFilterEnabled(boolean b)

  Sets whether the filter is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### setFilterEnabled

    void setFilterEnabled(java.lang.String id,
                          boolean b)

  Sets whether the filter is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isFilterEnabled

    boolean isFilterEnabled()

  Determines whether filter is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isFilterEnabled

    boolean isFilterEnabled(java.lang.String id)

  Determines whether filter is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSortEnabled

    void setSortEnabled(boolean b)

  Sets whether the sort is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setSortEnabled

    void setSortEnabled(java.lang.String id,
                        boolean b)

  Sets whether the sort is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isSortEnabled

    boolean isSortEnabled()

  Determines whether sort is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isSortEnabled

    boolean isSortEnabled(java.lang.String id)

  Determines whether sort is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSaveEnabled

    void setSaveEnabled(boolean b)

  Sets whether the save feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setSaveEnabled

    void setSaveEnabled(java.lang.String id,
                        boolean b)

  Sets whether the save feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isSaveEnabled

    boolean isSaveEnabled()

  Determines whether the save feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isSaveEnabled

    boolean isSaveEnabled(java.lang.String id)

  Determines whether the save feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSaveResultEnabled

    void setSaveResultEnabled(boolean b)

  Sets whether the save result feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setSaveResultEnabled

    void setSaveResultEnabled(java.lang.String id,
                              boolean b)

  Sets whether the save result feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isSaveResultEnabled

    boolean isSaveResultEnabled()

  Determines whether the save result feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isSaveResultEnabled

    boolean isSaveResultEnabled(java.lang.String id)

  Determines whether the save result feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setExportEnabled

    void setExportEnabled(boolean b)

  Sets whether the export feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setExportEnabled

    void setExportEnabled(java.lang.String id,
                          boolean b)

  Sets whether the export feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isExportEnabled

    boolean isExportEnabled()

  Determines whether the export feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isExportEnabled

    boolean isExportEnabled(java.lang.String id)

  Determines whether the export feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setPrintEnabled

    void setPrintEnabled(boolean b)

  Sets whether the print feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setPrintEnabled

    void setPrintEnabled(java.lang.String id,
                         boolean b)

  Sets whether the print feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isPrintEnabled

    boolean isPrintEnabled()

  Determines whether print is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isPrintEnabled

    boolean isPrintEnabled(java.lang.String id)

  Determines whether print is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSearchEnabled

    void setSearchEnabled(boolean b)

  Sets whether the search feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setSearchEnabled

    void setSearchEnabled(java.lang.String id,
                          boolean b)

  Sets whether the search feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isSearchEnabled

    boolean isSearchEnabled()

  Determines whether the search feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isSearchEnabled

    boolean isSearchEnabled(java.lang.String id)

  Determines whether the search feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setStyleEnabled

    void setStyleEnabled(boolean b)

  Sets whether the style feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setStyleEnabled

    void setStyleEnabled(java.lang.String id,
                         boolean b)

  Sets whether the style feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isStyleEnabled

    boolean isStyleEnabled()

  Determines whether the style feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isStyleEnabled

    boolean isStyleEnabled(java.lang.String id)

  Determines whether the style feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setZoomEnabled

    void setZoomEnabled(boolean b)

  Sets whether the zoom feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setZoomEnabled

    void setZoomEnabled(java.lang.String id,
                        boolean b)

  Sets whether the zoom feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isZoomEnabled

    boolean isZoomEnabled()

  Determines whether the zoom feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isZoomEnabled

    boolean isZoomEnabled(java.lang.String id)

  Determines whether the zoom feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSkinEnabled

    void setSkinEnabled(boolean b)

  Sets whether the skin feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setSkinEnabled

    void setSkinEnabled(java.lang.String id,
                        boolean b)

  Sets whether the skin feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isSkinEnabled

    boolean isSkinEnabled()

  Determines whether the skin feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isSkinEnabled

    boolean isSkinEnabled(java.lang.String id)

  Determines whether the skin feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setPopupMenuEnabled

    void setPopupMenuEnabled(boolean b)

  Sets whether the pop up menu is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setPopupMenuEnabled

    void setPopupMenuEnabled(java.lang.String id,
                             boolean b)

  Sets whether the pop up menu is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isPopupMenuEnabled

    boolean isPopupMenuEnabled()

  Determines whether the pop up menu is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isPopupMenuEnabled

    boolean isPopupMenuEnabled(java.lang.String id)

  Determines whether the pop up menu is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setDrillEnabled

    void setDrillEnabled(boolean b)

  Sets whether the drill feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setDrillEnabled

    void setDrillEnabled(java.lang.String id,
                         boolean b)

  Sets whether the drill feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isDrillEnabled

    boolean isDrillEnabled()

  Determines whether the drill feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isDrillEnabled

    boolean isDrillEnabled(java.lang.String id)

  Determines whether the drill feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setRefreshEnabled

    void setRefreshEnabled(boolean b)

  Sets whether the refresh feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setRefreshEnabled

    void setRefreshEnabled(java.lang.String id,
                           boolean b)

  Sets whether the refresh feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isRefreshEnabled

    boolean isRefreshEnabled()

  Determines whether the refresh feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isRefreshEnabled

    boolean isRefreshEnabled(java.lang.String id)

  Determines whether the refresh feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setResetEnabled

    void setResetEnabled(boolean b)

  Sets whether the reset feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setResetEnabled

    void setResetEnabled(java.lang.String id,
                         boolean b)

  Sets whether the reset feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isResetEnabled

    boolean isResetEnabled()

  Determines whether the reset feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isResetEnabled

    boolean isResetEnabled(java.lang.String id)

  Determines whether the reset feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setUnredoEnabled

    void setUnredoEnabled(boolean b)

  Sets whether the undo/redo feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setUnredoEnabled

    void setUnredoEnabled(java.lang.String id,
                          boolean b)

  Sets whether the undo/redo feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isUnredoEnabled

    boolean isUnredoEnabled()

  Determines whether the undo/redo feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isUnredoEnabled

    boolean isUnredoEnabled(java.lang.String id)

  Determines whether the undo/redo feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setNavEnabled

    void setNavEnabled(boolean b)

  Sets whether the navigation feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setNavEnabled

    void setNavEnabled(java.lang.String id,
                       boolean b)

  Sets whether the navigation feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isNavEnabled

    boolean isNavEnabled()

  Determines whether the navigation feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isNavEnabled

    boolean isNavEnabled(java.lang.String id)

  Determines whether the navigation feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setCreateEnabled

    void setCreateEnabled(boolean b)

  Sets whether the new feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setCreateEnabled

    void setCreateEnabled(java.lang.String id,
                          boolean b)

  Sets whether the new feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isCreateEnabled

    boolean isCreateEnabled()

  Determines whether the new feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isCreateEnabled

    boolean isCreateEnabled(java.lang.String id)

  Determines whether the new feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setMenuEnabled

    void setMenuEnabled(boolean b)

  Sets whether the menu feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setMenuEnabled

    void setMenuEnabled(java.lang.String id,
                        boolean b)

  Sets whether the menu feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isMenuEnabled

    boolean isMenuEnabled()

  Determines whether the menu feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isMenuEnabled

    boolean isMenuEnabled(java.lang.String id)

  Determines whether the menu feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setToolbarEnabled

    void setToolbarEnabled(boolean b)

  Sets whether the toolbar feature is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setToolbarEnabled

    void setToolbarEnabled(java.lang.String id,
                           boolean b)

  Sets whether the toolbar feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isToolbarEnabled

    boolean isToolbarEnabled()

  Determines whether the toolbar feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isToolbarEnabled

    boolean isToolbarEnabled(java.lang.String id)

  Determines whether the toolbar feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setAdvanceUserEnabled

    void setAdvanceUserEnabled(boolean b)

  Sets whether the advanceuser mode is enabled.

  Parameters:
    `b` - If true, this DHTML mode is enabled; otherwise disabled.

### setAdvanceUserEnabled

    void setAdvanceUserEnabled(java.lang.String id,
                               boolean b)

  Sets whether the advanceuser mode is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML mode is enabled; otherwise disabled.

### isAdvanceUserEnabled

    boolean isAdvanceUserEnabled()

  Determines whether the advanceuser mode is enabled.

  Returns:
    true if this DHTML mode is enabled; otherwise false.

### isAdvanceUserEnabled

    boolean isAdvanceUserEnabled(java.lang.String id)

  Determines whether the advanceuser mode is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML mode is enabled; otherwise false.

### setTocGroupbyNameVisible

    void setTocGroupbyNameVisible(boolean b)

  Sets whether the feature that displays groupby field name before each TOC entry is enabled.

  Parameters:
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### setTocGroupbyNameVisible

    void setTocGroupbyNameVisible(java.lang.String id,
                                  boolean b)

  Sets whether the feature that displays groupby field name before each TOC entry is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML feature is enabled; otherwise disabled.

### isTocGroupbyNameVisible

    boolean isTocGroupbyNameVisible()

  Determines whether display Groupby field name before each TOC entry feature is enabled.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### isTocGroupbyNameVisible

    boolean isTocGroupbyNameVisible(java.lang.String id)

  Determines whether display Groupby field name before each TOC entry feature is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setTocVisible

    void setTocVisible(java.lang.String id,
                       boolean b)

  Sets whether the Table Of Content is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; otherwise invisible.

### isTocVisible

    boolean isTocVisible(java.lang.String id)

  Determines whether the Table Of Content is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML component is visible; otherwise false.

### setToolbarVisible

    void setToolbarVisible(java.lang.String id,
                           boolean b)

  Sets whether the Toolbar is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; otherwise invisible.

### isToolbarVisible

    boolean isToolbarVisible(java.lang.String id)

  Determines whether the Toolbar is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML component is visible; otherwise false.

### setUserbarVisible

    void setUserbarVisible(java.lang.String id,
                           boolean b)

  Sets whether the user information panel is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; otherwise invisible.

### isUserbarVisible

    boolean isUserbarVisible(java.lang.String id)

  Determines whether the user information panel is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML component is visible; otherwise false.

### setMainMenuVisible

    void setMainMenuVisible(java.lang.String id,
                            boolean b)

  Sets whether the main menu is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; otherwise invisible.

### isMainMenuVisible

    boolean isMainMenuVisible(java.lang.String id)

  Determines whether the main menu is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML component is visible; otherwise false.

### setNavibarVisible

    void setNavibarVisible(java.lang.String id,
                           boolean b)

  Sets whether the Navigation bar is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML component is visible; otherwise invisible.

### isNavibarVisible

    boolean isNavibarVisible(java.lang.String id)

  Determines whether the Navigation bar is visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML component is visible; otherwise false.

### setRefreshInterval

    void setRefreshInterval(java.lang.String id,
                            int timeout)
                            throws java.io.IOException

  Sets the user session expiring time, in seconds.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `timeout` - the user session expiring time, in seconds.
  Throws:
    `java.io.IOException`

### getRefreshInterval

    int getRefreshInterval(java.lang.String id)

  Returns the user expiring time, in seconds.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the user session expiring time, in seconds.

### isLocalSave

    boolean isLocalSave(java.lang.String id)

  Determines whether the save location is local.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    whether the save location is local.

### getRstFileName

    java.lang.String getRstFileName(java.lang.String id)

  Gets the saved result file name.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    the saved result file name.

### copyRstFile

    byte[] copyRstFile(java.lang.String id)
                       throws java.io.IOException

  Copies a part of the result file into the byte array.

  This method only gets a part of the contents each time. You must call this method many times until it returns null.

  An example of the method:
    byte b[];
    while ( (b = copyRstFile(id)) != null ) {
    out.write(b);
    }

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    null reach the end of the file and the file is closed. Otherwise, return a part of the file content from current position. If file is not open it will be opened.
  Throws:
    `java.io.IOException`

### isSupport

    boolean isSupport(java.lang.String user_agent)

  Determines whether the user agent (browser) is supported.

  Parameters:
    `user_agent` - name string of User Agent.
  Returns:
    true If this user agent is supported; otherwise false.

### setUserAgent

    void setUserAgent(java.lang.String user_agent)

  Sets the user agent information.

  Parameters:
    `user_agent` - name string of User Agent.

### addExpiryListener

    void addExpiryListener(java.lang.String id)

  Adds the ExpiryListener to the specified UserSession.

  Parameters:
    `id` - the user session id.

### setMainPage

    void setMainPage(java.lang.String filePath)

  Sets the path and file name of user's main page, which is used to customize the user's own main page.

  Parameters:
    `filePath` - the path and file name of user's main page.

### getMainPage

    java.lang.String getMainPage()

  Gets the path and file name of user main page.

  Returns:
    the path and file name of the user main page.

### setReportScroll

    void setReportScroll(java.lang.String id,
                         int type)

  Sets the report frame scrollbar type.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `type` - the report frame scrollbar type which is defined in DHTMLConstant:
      DHTMLConstant.SCROLLAUTO,
      DHTMLConstant.SCROLLYES,
      DHTMLConstant.SCROLLNO.

### getReportScroll

    int getReportScroll(java.lang.String id)

  Gets the report frame scrollbar type.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the report frame scrollbar type which is defined in DHTMLConstant:
      DHTMLConstant.SCROLLAUTO,
      DHTMLConstant.SCROLLYES,
      DHTMLConstant.SCROLLNO.

### setIgnoreServerSetting

    void setIgnoreServerSetting(boolean b)

  Sets whether to ignore server settings.

  Parameters:
    `b` - true to ignore server settings; otherwise false.

### isIgnoreServerSetting

    boolean isIgnoreServerSetting()

  Determines whether the server settings are ignored.

  Returns:
    true if the server settings are ignored; otherwise false.

### getUserEncoding

    java.lang.String getUserEncoding(java.lang.String id)

  Gets the user encoding information according to the user id.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    the user encoding information.

### getDHTMLToolkit

    DHTMLToolkit getDHTMLToolkit()

  Gets the DHTMLToolkit.

  Returns:
    the DHTMLToolkit.
  See Also:
    `DHTMLToolkit.`

### getOpenedReports

    int getOpenedReports(java.lang.String id)

  Gets the number of open reports.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the number of open reports.

### getReportName

    java.lang.String getReportName(java.lang.String id,
                                   int index)

  Gets the report name by the report index.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
    `index` - the report index.
  Returns:
    the report name.

### isFirstDetail

    boolean isFirstDetail(java.lang.String id)

  Deprecated. Determines whether the current detail report is the first detail report.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    true If the current detail report is the first detail report; otherwise false.

### isLastDetail

    boolean isLastDetail(java.lang.String id)

  Deprecated. Determines whether the current detail report is the last detail report.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    true If the current detail report is the last detail report; otherwise false.

### isDetailReport

    boolean isDetailReport(java.lang.String id)

  Deprecated. Determines whether the current report is the detail report.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    true If the current report is the detail report; otherwise false.

### setJsFolder

    void setJsFolder(java.lang.String folderName)

  Deprecated. Sets the DHTML javascript folder name.

  Parameters:
    `folderName` - the folder name.

### setCssFolder

    void setCssFolder(java.lang.String folderName)

  Deprecated. Sets the DHTML css folder name.

  Parameters:
    `folderName` - the folder name.

### setImageFolder

    void setImageFolder(java.lang.String folderName)

  Deprecated. Sets the DHTML image folder name.

  Parameters:
    `folderName` - the folder name.

### setDHTMLJSPPath

    void setDHTMLJSPPath(java.lang.String pathName)

  Sets the DHTML JSP path name.

  Parameters:
    `folderName` - the folder name.

### setUserAutoRefresh

    void setUserAutoRefresh(java.lang.String id,
                            boolean autoRefresh)

  Sets whether to auto refresh information according to the user id.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `autoRefresh` - If true, the DHTML page will be refreshed automatically; otherwise false.

### getUserAutoRefresh

    boolean getUserAutoRefresh(java.lang.String id)

  Gets whether to auto refresh information according to the user id.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setAutoRefresh

    void setAutoRefresh(boolean autoRefresh)

  Sets whether to auto refresh information.

  Parameters:
    `autoRefresh` - If true, the DHTML page will be refreshed automatically; otherwise false.

### getAutoRefresh

    boolean getAutoRefresh()

  Gets whether to auto refresh information.

  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setContextPath

    void setContextPath(java.lang.String strPath)

  Sets the server context path.

  Parameters:
    `strPath` - the server context path.

### initMainPage

    java.lang.String initMainPage(java.lang.String id,
                                  java.util.Hashtable params)
                                  throws java.io.IOException,
                                         RptServerException

  Inits the mainpage.

  Parameters:
    `id` - the user session id.
    `params` - the init parameter:
    If you will use relative path in dhtml, param params should contain three parameters as following:
      DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)),
      DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)),
      DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
  Returns:
    the runtime ID.
  Throws:
    `java.io.IOException`
    `RptServerException`

### getRSTRemoteFullPath

    java.lang.String getRSTRemoteFullPath(java.lang.String id)

  Gets the RST remote full path.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session.
      When it is the report runtime id, it indicates the report specified by this runtime id in the session.
  Returns:
    the full path.

### setFrameEnabled

    void setFrameEnabled(boolean b)

  Sets whether the frame mode is enabled.

  Parameters:
    `b` - If true, this DHTML frame mode is enabled;
    otherwise this DHTML frame mode is disabled.

### setFrameEnabled

    void setFrameEnabled(java.lang.String id,
                         boolean b)

  Sets whether the frame mode is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `b` - If true, this DHTML frame mode is enabled; otherwise this DHTML frame mode is disabled.

### isFrameEnabled

    boolean isFrameEnabled()

  Determines whether frame mode is enabled.

  Returns:
    true if this DHTML frame mode is enabled; otherwise false.

### isFrameEnabled

    boolean isFrameEnabled(java.lang.String id)

  Determines whether frame mode is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML frame mode is enabled; otherwise false.

### setErrorPage

    void setErrorPage(java.lang.String filePath)

  Sets the path and file name of user's error page, which is used to customize the user's own error page.

  Parameters:
    `filePath` - the path and file name of user's error page.

### customizeToolbar

    void customizeToolbar(java.lang.String id,
                          int buttonId,
                          boolean isVisible)

  Customizes the toolbar buttons and specifies whether the buttons are visible.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `buttonId` - the buttonId constant for the toolbar.
    The buttonId argument is an integer bitmask that can be:
      DHTMLConstant.BTN_UNDO, DHTMLConstant.BTN_REDO, DHTMLConstant.BTN_SEARCH,
      DHTMLConstant.BTN_PREVIOUS_SEARCH, DHTMLConstant.BTN_NEXT_SEARCH, DHTMLConstant.BTN_FILTER,
      DHTMLConstant.BTN_SORT, DHTMLConstant.BTN_SAVE, DHTMLConstant.BTN_PRINT,
      DHTMLConstant.BTN_REFRESH, DHTMLConstant.BTN_RESET, DHTMLConstant.BTN_EXPORT_TO_PDF,
      DHTMLConstant.BTN_EXPORT_TO_EXCEL, DHTMLConstant.BTN_EXPORT_TO_RTF, DHTMLConstant.BTN_EXPORT_TO_HTML,
      DHTMLConstant.BTN_EXPORT_TO_TEXT, DHTMLConstant.BTN_EXPORT_TO_PS, DHTMLConstant.BTN_EXPORT_TO_XML,
      DHTMLConstant.BTN_EXIT, DHTMLConstant.BTN_HELP, and DHTMLConstant.BTN_ALL.
      Or a bitwise union of them (for example, DHTMLConstant.BTN_UNDO | DHTMLConstant.BTN_REDO).
    `isVisible` - true if the buttons are visible.

### customizeToolbar

    void customizeToolbar(java.lang.String id,
                          int buttonId,
                          boolean isVisible,
                          java.lang.String method)

  Customizes the toolbar buttons and specifies whether the buttons are visible and the action of the button.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.
    `buttonId` - the buttonId constant for the toolbar.
    The buttonId argument is an integer bitmask that can be:
      DHTMLConstant.BTN_UNDO, DHTMLConstant.BTN_REDO, DHTMLConstant.BTN_SEARCH,
      DHTMLConstant.BTN_PREVIOUS_SEARCH, DHTMLConstant.BTN_NEXT_SEARCH, DHTMLConstant.BTN_FILTER,
      DHTMLConstant.BTN_SORT, DHTMLConstant.BTN_SAVE, DHTMLConstant.BTN_PRINT,
      DHTMLConstant.BTN_REFRESH, DHTMLConstant.BTN_RESET, DHTMLConstant.BTN_EXPORT_TO_PDF,
      DHTMLConstant.BTN_EXPORT_TO_EXCEL, DHTMLConstant.BTN_EXPORT_TO_RTF, DHTMLConstant.BTN_EXPORT_TO_HTML,
      DHTMLConstant.BTN_EXPORT_TO_TEXT, DHTMLConstant.BTN_EXPORT_TO_PS, DHTMLConstant.BTN_EXPORT_TO_XML,
      DHTMLConstant.BTN_EXIT, DHTMLConstant.BTN_HELP, and DHTMLConstant.BTN_ALL.
    `isVisible` - true if the buttons are visible.
    `method` - the method that corresponds with the buttonId, which is used for saving the action of button, and will be invoked when the button is clicked.

### setReportNum

    void setReportNum(java.lang.String id,
                      int rptNum)

  Sets the maximum number of reports that can run in one session.

  Parameters:
    `id` - the user session id.

### closeDHTMLReport

    void closeDHTMLReport(java.lang.String id,
                          java.lang.String reportId)
                          throws RptServerException,
                                 java.io.IOException

  Closes the special report.

  Parameters:
    `id` - the user session id.
    `reportId` - the report id.
  Throws:
    `RptServerException`
    `java.io.IOException`

### setReportTimeout

    void setReportTimeout(java.lang.String id,
                          int time)

  Sets the report expiring time, in seconds.

  Parameters:
    `time` - the report expiring time, in seconds.
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will influence both all open reports in the session and the following ones.
      when it is the report runtime id, it only influences the report specified by this runtime id.

### getReportTimeout

    int getReportTimeout(java.lang.String id)

  Gets the report expiring time, in seconds.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the report expiring time.

### getReportsId

    java.util.List getReportsId(java.lang.String id)

  Gets all reports ids in the session.

  Parameters:
    `id` - the user session id.
  Returns:
    all reports ids.

### getRuntimesId

    java.util.List getRuntimesId(java.lang.String id)

  Gets all reports keys in the session.

  Parameters:
    `id` - the user session id.
  Returns:
    all reports keys.
  See Also:
    `getReportsId.`

### getRuntimesId

    java.util.List getRuntimesId(java.lang.String id,
                                 java.lang.String fullCatalogName,
                                 java.lang.String fullReportName)

  Deprecated. Gets all reports keys in the session.

  Parameters:
    `id` - the user session id.
    `fullCatalogName` - the full catalog name.
    `fullReportName` - the full report name.
  Returns:
    all reports keys.

### setApplyToOpenedReports

    void setApplyToOpenedReports(java.lang.String id,
                                 boolean isApply)

  Deprecated. Determines whether all of the open reports in a session will be affected when setting the session properties.

  Parameters:
    `b` - If true, all of the open reports in a session will be affected, otherwise false.
    `id` - the user session id.

### getNewOpenedRuntimeId

    java.lang.String getNewOpenedRuntimeId(java.lang.String id)

  Gets the runtimeID for the just now opened report.

  Parameters:
    `id` - the user session id.
  Returns:
    the runtime id.

### setDisplayNameSortEnabled

    void setDisplayNameSortEnabled(java.lang.String id,
                                   boolean isEnabled)

  Sets whether the sort column display name is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
    `isEnabled` - If true, this DHTML feature is enabled; otherwise this DHTML feature is disabled.

### isDisplayNameSortEnabled

    boolean isDisplayNameSortEnabled(java.lang.String id)

  Determines whether the sort column display name is enabled.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    true if this DHTML feature is enabled; otherwise false.

### setSortDisplayNameSortType

    void setSortDisplayNameSortType(java.lang.String id,
                                    int sortType)

  Sets the type of column display name sorting on the sort panel.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
    `sortType` - the sort type of column display name sorting; the value is defined in DHTMLConstant:
      DHTMLConstant.ASCENDING,
      DHTMLConstant.DESCENDING,
      DHTMLConstant.NOTSORTED.

### getSortDisplayNameSortType

    int getSortDisplayNameSortType(java.lang.String id)

  Determines the type of column display name sorting on the sort panel.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the sort type of column display name sorting; the value is defined in DHTMLConstant:
      DHTMLConstant.ASCENDING,
      DHTMLConstant.DESCENDING,
      DHTMLConstant.NOTSORTED.

### setFilterDisplayNameSortType

    void setFilterDisplayNameSortType(java.lang.String id,
                                      int sortType)

  Sets the sort type of column display name sort on the filter panel.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
    `sortType` - the sort type of column display name sort; the value is defined in DHTMLConstant:
      DHTMLConstant.ASCENDING,
      DHTMLConstant.DESCENDING,
      DHTMLConstant.NOTSORTED.

### getFilterDisplayNameSortType

    int getFilterDisplayNameSortType(java.lang.String id)

  Determines the sort type of column display name sort on the filter panel.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the sort type of column display name sort; the value is defined in DHTMLConstant:
      DHTMLConstant.ASCENDING,
      DHTMLConstant.DESCENDING,
      DHTMLConstant.NOTSORTED.

### setSearchDisplayNameSortType

    void setSearchDisplayNameSortType(java.lang.String id,
                                      int sortType)

  Sets the sort type of column display name sort on the search dialog.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
    `sortType` - the sort type of column display name sort; the value is defined in DHTMLConstant:
      DHTMLConstant.ASCENDING,
      DHTMLConstant.DESCENDING,
      DHTMLConstant.NOTSORTED.

### getSearchDisplayNameSortType

    int getSearchDisplayNameSortType(java.lang.String id)

  Determines the sort type of column display name sort on the search dialog.

  Parameters:
    `id` - can be the report runtime id or the user session id.
      When it is the user session id, the method will return the special properties in session level.
      When it is the report runtime id, the method will return the special properties in the report with this runtime id.
  Returns:
    the sort type of column display name sort; the value is defined in DHTMLConstant:
      DHTMLConstant.ASCENDING,
      DHTMLConstant.DESCENDING,
      DHTMLConstant.NOTSORTED.

### getQueueSize

    int getQueueSize()

  Deprecated. Gets the number of to-be-handled actions waiting in the queue.

  Returns:
    the number of to-be-handled actions waiting in the queue.

### getMaxConcurrent

    int getMaxConcurrent()

  Deprecated. Gets the number of Maximal concurrent actions at one time.

  Returns:
    the number of Maximal concurrent actions at one time.

### isRestrictAction

    boolean isRestrictAction(int intOP)

  Deprecated. Checks whether the action can be applied for the DHTML Queue feature or not.

  Returns:
    true if the action can be applied for the DHTML Queue feature; otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD